> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# feeSummaries

`Query`

## Arguments

<ParamField path="input" type="FeeSummaryInput!" required>
  <Expandable title="child attributes">
    <ParamField path="orderBy" type="[FeeSummarySortTypeInput!]">
      <Expandable title="child attributes">
        <ParamField path="field" type="FeeSummarySortField!" required>
          <Expandable title="Possible enum values">
            <ParamField path="FEE_ACTIVITY_DATE" type="enum" />

            <ParamField path="FUNDS_RELEASE_DATE" type="enum" />

            <ParamField path="FEE_COUNT" type="enum" />

            <ParamField path="FUNDS_TRANSFER_ID" type="enum" />

            <ParamField path="FEE_TYPE" type="enum" />

            ...and 13 more values. See [FeeSummarySortField](/acquiring/reference/graphql/types/fee-summary-sort-field) for the full list.
          </Expandable>
        </ParamField>

        <ParamField path="sortDirection" type="SortingEnumType!" required>
          See [SortingEnumType](/acquiring/reference/graphql/types/sorting-enum-type)
        </ParamField>
      </Expandable>
    </ParamField>

    <ParamField path="paging" type="PagingInput!" required>
      See [PagingInput](/acquiring/reference/graphql/types/paging-input)
    </ParamField>

    <ParamField path="where" type="FeeSummaryFilterInput!" required>
      <Expandable title="child attributes">
        <ParamField path="acceptorId" type="GuidFilterInput">
          See [GuidFilterInput](/acquiring/reference/graphql/types/guid-filter-input)
        </ParamField>

        <ParamField path="feeActivityDate" type="DateRangeFilterInput">
          See [DateRangeFilterInput](/acquiring/reference/graphql/types/date-range-filter-input)
        </ParamField>

        <ParamField path="feeType" type="EnumFilterInputOfAllocationFeeTypeInput">
          See [EnumFilterInputOfAllocationFeeTypeInput](/acquiring/reference/graphql/types/enum-filter-input-of-allocation-fee-type-input)
        </ParamField>

        <ParamField path="fundingCurrency" type="String" />

        <ParamField path="fundsReleaseDate" type="DateRangeFilterInput">
          See [DateRangeFilterInput](/acquiring/reference/graphql/types/date-range-filter-input)
        </ParamField>

        <ParamField path="fundsTransferId" type="GuidFilterInput">
          See [GuidFilterInput](/acquiring/reference/graphql/types/guid-filter-input)
        </ParamField>

        <ParamField path="paymentBrand" type="EnumFilterInputOfPaymentBrandInput">
          See [EnumFilterInputOfPaymentBrandInput](/acquiring/reference/graphql/types/enum-filter-input-of-payment-brand-input)
        </ParamField>
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

## Return type

`FeeSummaryCollection`

<ResponseField name="items" type="[FeeSummary!]!" required>
  <Expandable title="child attributes">
    <ResponseField name="acceptor" type="Acceptor">
      See [Acceptor](/acquiring/reference/graphql/types/acceptor)
    </ResponseField>

    <ResponseField name="billableEventAmount" type="Decimal">
      The total amount of the billable type and used to calculate the Fee when a fee rate multiplier is part of the fee rate..
    </ResponseField>

    <ResponseField name="billableEventType" type="BillableType">
      Billable type of the fee

      See [BillableType](/acquiring/reference/graphql/types/billable-type)
    </ResponseField>

    <ResponseField name="feeActivityDate" type="Date!" required>
      The date the fee was applied
    </ResponseField>

    <ResponseField name="feeAmount" type="Decimal">
      The total amount of fees applied.
    </ResponseField>

    <ResponseField name="feeCount" type="Int">
      The number of fees
    </ResponseField>

    <ResponseField name="feeDescription" type="String">
      A detailed description of the fee or program.
    </ResponseField>

    <ResponseField name="feeName" type="String">
      The name of the fee, interchange or wholesale program.
    </ResponseField>

    <ResponseField name="feeProfileId" type="UUID!" required>
      A unique identifier created by Tesouro and assigned to each fee allocation.
    </ResponseField>

    <ResponseField name="feeRateMultiplier" type="Decimal">
      A component of the fee rate; the decimal used to multiply against the transaction amount to determine a 'percent' cost.
    </ResponseField>

    <ResponseField name="feeRateUnitAmount" type="Decimal">
      A component of the fee rate; the unit amount charged per item.
    </ResponseField>

    <ResponseField name="feeType" type="AllocationType">
      The type of fee, e.g., Interchange, Network, Processor, etc.

      See [AllocationType](/acquiring/reference/graphql/types/allocation-type)
    </ResponseField>

    <ResponseField name="fundingCurrency" type="String">
      The currency of the funded transaction, formatted in ISO 4217 alphabetic code.
    </ResponseField>

    <ResponseField name="fundsReleaseDate" type="Date">
      The date that Tesouro releases the funds from its bank account to the recipient's bank account.
    </ResponseField>

    <ResponseField name="fundsTransferId" type="UUID!" required>
      A unique identifier created by Tesouro and assigned to the transfer of money to a bank account, that identifies a cohort of funded transactions making up the transfer.
    </ResponseField>

    <ResponseField name="merchantCategory" type="String">
      Unique ISO four digit values used to classify merchants and their transactions into specific categories based on the type of business, trade or services supplied. NOTE: This field will present a null, not applicable, or empty value if the fee is not tied to a specific transaction.
    </ResponseField>

    <ResponseField name="organization" type="Organization!" required>
      See [Organization](/acquiring/reference/graphql/types/organization)
    </ResponseField>

    <ResponseField name="paymentBrand" type="PaymentBrand">
      Specifies which payment brand was used, e.g., Visa, Mastercard, Discover, American Express, etc. NOTE: This field will present a null, not applicable, or empty value if the fee is not tied to a specific transaction.

      See [PaymentBrand](/acquiring/reference/graphql/types/payment-brand)
    </ResponseField>

    <ResponseField name="paymentFundingSource" type="FundingSource">
      Specifies the source of the card customer's funds , e.g., credit, debit, pre-paid. NOTE: This field will present a null, not applicable, or empty value if the fee is not tied to a specific transaction.

      See [FundingSource](/acquiring/reference/graphql/types/funding-source)
    </ResponseField>

    <ResponseField name="paymentProduct" type="String">
      The product name according to the payment brand (e.g. World Elite Mastercard card)  NOTE: This field will present a null, not applicable, or empty value if the fee is not tied to a specific transaction.
    </ResponseField>

    <ResponseField name="perspective" type="Perspective">
      The perspective of the fee, which can be either 'Acceptor' or 'Partner'. This field is used to determine the perspective from which the fee is reported.

      See [Perspective](/acquiring/reference/graphql/types/perspective)
    </ResponseField>

    <ResponseField name="processingNetwork" type="Network">
      The payment network that the transaction was sent across, which may be unafilliated with the card brand. NOTE: This field will present a null, not applicable, or empty value if the fee is not tied to a specific transaction.

      See [Network](/acquiring/reference/graphql/types/network)
    </ResponseField>

    <ResponseField name="productPillar" type="ProductPillar">
      The Tesouro product pillar that this fee applies to, e.g., Transaction processing; Billing & Funding; Risk, Fraud, & Dispute management; Reporting; Boarding;

      See [ProductPillar](/acquiring/reference/graphql/types/product-pillar)
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="pageInfo" type="PageInfo!" required>
  <Expandable title="child attributes">
    <ResponseField name="hasNextPage" type="Boolean!" required />

    <ResponseField name="hasPreviousPage" type="Boolean!" required />
  </Expandable>
</ResponseField>

<RequestExample>
  ```graphql Operation lines expandable theme={null}
  query FeeSummaries($input: FeeSummaryInput!) {
    feeSummaries(input: $input) {
      items {
        acceptor {
          businessName
          feeSummaries
          id
          name
          reference
        }
        billableEventAmount
        billableEventType
        feeActivityDate
        feeAmount
        feeCount
        feeDescription
        feeName
        feeProfileId
        feeRateMultiplier
        feeRateUnitAmount
        feeType
        fundingCurrency
        fundsReleaseDate
        fundsTransferId
        merchantCategory
        organization {
          businessName
          capabilities
          feeSummaries
          id
          legalName
          name
          phoneNumber
        }
        paymentBrand
        paymentFundingSource
        paymentProduct
        perspective
        processingNetwork
        productPillar
      }
      pageInfo {
        hasNextPage
        hasPreviousPage
      }
    }
  }
  ```

  ```json Variables lines expandable theme={null}
  {
    "input": {
      "paging": {
        "skip": 0,
        "take": 0
      },
      "where": {
        "acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
        "feeActivityDate": "example",
        "feeType": "example"
      }
    }
  }
  ```

  ```bash cURL lines expandable theme={null}
  curl --request POST \
    --url https://api.sandbox.com/graphql \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
    --data '{
    "query": "query FeeSummaries($input: FeeSummaryInput!) {\n  feeSummaries(input: $input) {\n    items {\n      acceptor {\n        businessName\n        feeSummaries\n        id\n        name\n        reference\n      }\n      billableEventAmount\n      billableEventType\n      feeActivityDate\n      feeAmount\n      feeCount\n      feeDescription\n      feeName\n      feeProfileId\n      feeRateMultiplier\n      feeRateUnitAmount\n      feeType\n      fundingCurrency\n      fundsReleaseDate\n      fundsTransferId\n      merchantCategory\n      organization {\n        businessName\n        capabilities\n        feeSummaries\n        id\n        legalName\n        name\n        phoneNumber\n      }\n      paymentBrand\n      paymentFundingSource\n      paymentProduct\n      perspective\n      processingNetwork\n      productPillar\n    }\n    pageInfo {\n      hasNextPage\n      hasPreviousPage\n    }\n  }\n}",
    "variables": {
      "input": {
        "paging": {
          "skip": 0,
          "take": 0
        },
        "where": {
          "acceptorId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
          "feeActivityDate": "example",
          "feeType": "example"
        }
      }
    }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response lines expandable theme={null}
  {
    "data": {
      "feeSummaries": {
        "items": [
          {
            "acceptor": {
              "allocations": "example",
              "authorizationSummaries": "example",
              "billingDescriptor": "CLACKSWORTH KEYBOARDS",
              "businessName": "Clacksworth Keyboards",
              "fees": "example",
              "feeSummaries": "example",
              "fundingAchReturns": "example",
              "fundingDisputeEvents": "example",
              "fundingSummaries": "example",
              "fundingTransactions": "example",
              "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
              "name": "Ben Torres",
              "paymentTransactions": "example",
              "paymentTransactionSummaries": "example",
              "reference": "example"
            },
            "billableEventAmount": 0,
            "billableEventType": "UNKNOWN",
            "feeActivityDate": "2026-01-15",
            "feeAmount": 0,
            "feeCount": 0,
            "feeDescription": "example",
            "feeName": "example",
            "feeProfileId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
            "feeRateMultiplier": 0,
            "feeRateUnitAmount": 0,
            "feeType": "SETTLEMENT",
            "fundingCurrency": "example",
            "fundsReleaseDate": "2026-01-15",
            "fundsTransferId": "c9a1e2d3-4b5f-6789-0abc-def123456789",
            "merchantCategory": "example",
            "organization": {
              "acceptorApplicationCounts": [
                "example"
              ],
              "acceptors": "example",
              "achNotificationsOfChange": "example",
              "achReturns": "example",
              "allocations": "example",
              "allowedMerchantCategories": [
                "example"
              ],
              "authorizationSummaries": "example",
              "businessAddress": "example",
              "businessName": "Clacksworth Keyboards",
              "capabilities": [
                "ACQUIRING"
              ],
              "fees": "example",
              "feeSummaries": "example",
              "fundingAchReturns": "example",
              "fundingDisbursementReturns": "example",
              "fundingDisputeEvents": "example",
              "fundingSummaries": "example",
              "fundingTransactions": "example",
              "id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
              "legalName": "example",
              "name": "Ben Torres",
              "paymentTransactions": "example",
              "paymentTransactionSummaries": "example",
              "phoneNumber": "example",
              "reportAvailability": [
                "example"
              ],
              "settings": "example"
            },
            "paymentBrand": "VISA",
            "paymentFundingSource": "UNKNOWN",
            "paymentProduct": "example",
            "perspective": "PARTNER",
            "processingNetwork": "VISA",
            "productPillar": "BOARDING"
          }
        ],
        "pageInfo": {
          "hasNextPage": true,
          "hasPreviousPage": true
        }
      }
    }
  }
  ```
</ResponseExample>
